Changes and New Features

Customer Affecting Change

Description

Installation Process Firmware Burn Update

Starting from this release, the OFED installation process does not burn firmware for none Connect-X devices. To burn the firmware manually, use this script: /opt/mellanox/mlnx-fw-updater/mlnx_fw_updater.pl

Deprecation of Older Operating Systems

Starting from this release, MLNX_OFED releases no longer support operating systems with kernels below v4.18. This includes the following systems:

  • Rhel7.x

  • Debian9.13

  • Sles12.x

  • Xenserver7.1

  • Ubuntu 16.04

  • Ubuntu 18.04

The following are the new features and changes that were added in this version. The supported adapter cards are specified as follows:

Supported Cards

Description

All HCAs

Supported in the following adapter cards unless specifically stated otherwise:

ConnectX-4/ConnectX-4 Lx/ConnectX-5/ConnectX-6/ConnectX-6 Dx/ConnectX-6 Lx/ConnectX-7/BlueField-2

ConnectX-6 Dx and above

Supported in the following adapter cards unless specifically stated otherwise:

ConnectX-6 Dx/ConnectX-6 Lx/ConnectX-7/BlueField-2

ConnectX-6 and above

Supported in the following adapter cards unless specifically stated otherwise:

ConnectX-6/ConnectX-6 Dx/ConnectX-6 Lx/ConnectX-7/BlueField-2

ConnectX-5 and above

Supported in the following adapter cards unless specifically stated otherwise:

ConnectX-5/ConnectX-6/ConnectX-6 Dx/ConnectX-6 Lx/ConnectX-7/BlueField-2

ConnectX-4 and above

Supported in the following adapter cards unless specifically stated otherwise:

ConnectX-4/ConnectX-4 Lx/ConnectX-5/ConnectX-6/ConnectX-6 Dx/ConnectX-6 Lx/ConnectX-7/BlueField-2

For a list of features from previous versions see Release Notes Change Log History section.

Feature/Change

Description

24.01-0.3.3.1

Installation

Kernel Version Update for Kylin 10

Upgraded the kernel version of the Kylin 10 Operating System Service Pack 3 to v4.19.90-52.22.v2207.

General

General

Bug fixes

For additional information on the new features, please refer to the MLNX_OFED User Manual.

MLNX_OFED Verbs API Migration

As of MLNX_OFED v5.0 release (Q1 of the year 2020), MLNX_OFED Verbs API have migrated from the legacy version of user space verbs libraries (libibervs, libmlx5, etc.) to the Upstream version rdma-core.

For the list of MLNX_OFED verbs APIs that have been migrated, refer to Migration to RDMA-Core document.

© Copyright 2023, NVIDIA. Last updated on Feb 18, 2024.